
__doc__ = """
Core modules from Cecil's library
""".lstrip()

__all__ = ["objproxy", "config"]

import objproxy, config

def ascii(s):
	if isinstance(s, unicode):
		return s.encode(b'ascii')
	else:
		return str(s)

def utf8(s):
	if isinstance(s, unicode):
		return s.encode(b'utf-8')
	else:
		return str(s)

def from_ascii(s):
	if isinstance(s, unicode):
		return s
	else:
		return s.decode(b'ascii')

def from_latin1(s):
	if isinstance(s, unicode):
		return s
	else:
		return s.decode(b'latin-1')

def from_utf8(s):
	if isinstance(s, unicode):
		return s
	else:
		return s.decode(b'utf-8')

